Index: apps/app_dial.c
===================================================================
--- apps/app_dial.c	(revision 223322)
+++ apps/app_dial.c	(working copy)
@@ -105,6 +105,9 @@
 "however, the variable will be unset after use.\n\n"
 "  Options:\n"
 "    A(x) - Play an announcement to the called party, using 'x' as the file.\n"
+"    a    - Answer the calling channel when the called channel answers.  This\n"
+"           can be used to answer the calling channel before playing an\n"
+"           announcement with the A() option.\n"
 "    C    - Reset the CDR for this call.\n"
 "    d    - Allow the calling user to dial a 1 digit extension while waiting for\n"
 "           a call to be answered. Exit to that extension if it exists in the\n"
@@ -256,6 +259,7 @@
 	OPT_CALLEE_PARK =	(1 << 25),
 	OPT_CALLER_PARK =	(1 << 26),
 	OPT_IGNORE_FORWARDING = (1 << 27),
+	OPT_CALLER_ANSWER =	(1 << 28),
 } dial_exec_option_flags;
 
 #define DIAL_STILLGOING			(1 << 30)
@@ -277,6 +281,7 @@
 
 AST_APP_OPTIONS(dial_exec_options, {
 	AST_APP_OPTION_ARG('A', OPT_ANNOUNCE, OPT_ARG_ANNOUNCE),
+	AST_APP_OPTION('a', OPT_CALLER_ANSWER),
 	AST_APP_OPTION('C', OPT_RESETCDR),
 	AST_APP_OPTION('d', OPT_DTMF_EXIT),
 	AST_APP_OPTION_ARG('D', OPT_SENDDTMF, OPT_ARG_SENDDTMF),
@@ -1437,6 +1442,9 @@
 	} else {
 		const char *number;
 
+		if (ast_test_flag(&opts, OPT_CALLER_ANSWER))
+			ast_answer(chan);
+
 		strcpy(status, "ANSWER");
 		pbx_builtin_setvar_helper(chan, "DIALSTATUS", status);
 		/* Ah ha!  Someone answered within the desired timeframe.  Of course after this
